> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List file pages

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/workspaces/{workspaceId}/folders/{folderId}/files/{fileId}/pages

This method returns a workspace file as rasterized pages.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/workspaces/workspaceitems/listfilepages

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.
- `fileId` (string, required) — The ID of the file.
- `folderId` (string, required) — The ID of the folder.
- `workspaceId` (string, required) — The ID of the workspace.

### Query parameters

- `count` (string, optional) — The maximum number of results to return. Use `start_position` to specify the number of results to skip.
- `dpi` (string, optional) — The number of dots per inch (DPI) for the resulting images. Valid values are 1-310 DPI. The default value is 94.
- `max_height` (string, optional) — Sets the maximum height of the returned images in pixels.
- `max_width` (string, optional) — Sets the maximum width of the returned images in pixels.
- `start_position` (string, optional) — The zero-based index of the result from which to start returning results. Use with `count` to limit the number of results. The default value is `0`.

## Response

### 200

Successful response.

- `endPosition` (string, optional) — The last index position in the result set.
- `nextUri` (string, optional) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `pages` (list of page, optional) — An array of page objects.
- `previousUri` (string, optional) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `resultSetSize` (string, optional) — The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the `totalSetSize`.
- `startPosition` (string, optional) — The starting index position of the current result set.
- `totalSetSize` (string, optional) — The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`.

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### page

Description of a page of a document.

- `dpi` (string, optional) — The number of dots per inch used for the page image.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `height` (string, optional) — The height of the page in pixels. Must be an integer.
- `imageBytes` (string, optional) — The number of image bytes.
- `mimeType` (string, optional) — The MIME type.
- `pageId` (string, optional) — The ID of the page.
- `sequence` (string, optional) — The sequence of the page in the document, or page number.
- `width` (string, optional) — The width of the page in pixels. Must be an integer.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Response**

```json
{
  "endPosition": "sample string 1",
  "nextUri": "sample string 2",
  "pages": [
    {
      "dpi": "sample string 1",
      "errorDetails": {
        "errorCode": "sample string 1",
        "message": "sample string 2"
      },
      "height": "sample string 2",
      "imageBytes": "sample string 3",
      "mimeType": "sample string 4",
      "pageId": "sample string 5",
      "sequence": "sample string 6",
      "width": "sample string 7"
    }
  ],
  "previousUri": "sample string 3",
  "resultSetSize": "sample string 4",
  "startPosition": "sample string 5",
  "totalSetSize": "sample string 6"
}
```